// ahrs.h

#include "math.h"
#include "vqm_lib.h"

// kalman stuff
 
void ahrs_init(void);

void time_update(f_t dt);

void measurement_update();

void estimator_update(void);

// get angles from state vector
void getangles(v_t angles_out);

// get angles from estimator
void getestimator(v_t angles_out);

// get bias
void getbias(v_t bias_out);

void getqstate(v_t q_out);

void getqhat(v_t q_out);




